#
# spec file for package perl-Digest-CRC
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Digest-CRC
Name:           perl-Digest-CRC
Version:        0.240.0
Release:        1.1
# 0.24 -> normalize -> 0.240.0
%define cpan_version 0.24
#Upstream:  CRC algorithm code taken from "A PAINLESS GUIDE TO CRC ERROR DETECTION ALGORITHMS". the public domain.
License:        SUSE-Public-Domain
Summary:        Generic CRC functions
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/O/OL/OLIMAUL/%{cpan_name}-%{cpan_version}.tar.gz
Source1:        cpanspec.yml
BuildRequires:  perl
BuildRequires:  perl-macros
Provides:       perl(Digest::CRC) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
The *Digest::CRC* module calculates CRC sums of all sorts. It contains
wrapper functions with the correct parameters for CRC-CCITT, CRC-16, CRC-32
and CRC-64, as well as the CRC used in OpenPGP's ASCII-armored checksum.

%prep
%autosetup -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README

%changelog
* Tue Jun  3 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Wed Jul 13 2022 Tina Müller <timueller+perl@suse.de>
- updated to 0.24
  see /usr/share/doc/packages/perl-Digest-CRC/Changes
  0.24  Tue Jul 12 12:42:41 2021
  - fixed issue with clone-method and addfile
    Thanks to Dirk Joos <dirk@tdmail.de>
* Fri Apr 16 2021 Tina Müller <timueller+perl@suse.de>
- updated to 0.23
  see /usr/share/doc/packages/perl-Digest-CRC/Changes
  0.23  Thu Apr 15 13:02:04 2021
  - added wrapper for CRC-SAE-J1850
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
- Regenerate with new cpanspec template
* Wed Jan  6 2021 Dirk Müller <dmueller@suse.com>
- update to 0.22.2:
  - added padding for hex encoded digests
* Fri Apr 17 2015 coolo@suse.com
- updated to 0.21
  see /usr/share/doc/packages/perl-Digest-CRC/Changes
  0.21  Sat Feb 21 13:18:25 2015
  - new() throwing an error if an unsupported type is specified
* Mon Feb  9 2015 opensuse@dstoecker.de
- update to version 0.20 bug-fix release
* Wed Feb 15 2012 opensuse@dstoecker.de
- update to new 0.18 bug-fix release
- added openpgparmor support
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Sep 14 2011 opensuse@dstoecker.de
- update to new 0.17 bug-fix release
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Thu Sep 30 2010 opensuse@dstoecker.de
- updated
* Tue Sep 28 2010 opensuse@dstoecker.de
- updated
* Fri Feb  8 2008 opensuse@dstoecker.de
- updated
  Thu Oct 25 00:00:00 UTC 2007 - Peter Eisentraut 0.10
- initial package release
